DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# component-descendant-node-list

## Name

component-descendant-node-list -- Find all 'inputnd's within an ancestor element

## Synopsis

    (component-descendant-node-list inputnd complist)

## Description

Finds the first ancestor of `inputnd` in `complist` and then returns a node list of all the `inputnd`s within (that are descendants of) that ancestor.

## Author

Norman Walsh, <ndw@nwalsh.com>

## Source Code

    (define (component-descendant-node-list inputnd complist)
      ;; Find all 'inputnd's within an ancestor element
      (let ((nd (ancestor-member inputnd complist)))
        (select-elements (descendants nd) (gi inputnd))))

Prev | Home | Next
node-list-filter-elements | Up | component-child-number